Subject: Re: [Idr] WG Last Call foir draft-ietf-idr-bgp-extended-messages (11/12 to 11/26)

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Sun, 10 Dec 2017 05:00:41 +0000

Jeff wrote:
>> bgpsec implementations are likely to deploy extended messages in tandem.

Robert wrote:
>Is this just your assumption or is this enforced in any IETF document ? 
>This is important news no one earlier mentioned in this entire thread.

It was estimated that the maximum BGPsec_PATH attribute size 
is not expected to exceed 4KB in the foreseeable future.
The details of the measurements and estimation are here:
https://datatracker.ietf.org/meeting/98/materials/slides-98-sidrops-decoupling-bgpsec-documents-and-extended-messages-draft/ 

The BGPsec specification (RFC 8205) simply states the following (Sec. 4.1, p. 14): 
“All BGPsec UPDATE messages MUST conform to BGP's maximum message size.”
It does not require enforcing deployment of extended messages. 
Any sense of urgency for deployment of extended messages would be driven by
not BGPsec, but other applications of BGP that may rely on them in the near future. 
 
Sriram

---

From: Randy Bush <[email-masked]>
Date: Sat, 09 Dec 2017 23:34:52 -0800

> is not expected to exceed 4KB in the foreseeable future.

perhaps the use of passive voice is not appropriate?